Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.atlassian.bamboo.emailer.strategy
Class EmailStrategyFactory

    java.lang.Object
      com.atlassian.bamboo.emailer.strategy.EmailStrategyFactory

    public final class EmailStrategyFactory

extends Object

This class creates the various build build result email strategies.

Field Summary
`static EmailStrategy` | `ALWAYS_EMAIL_STRATEGY` Always email the build results
`static EmailStrategy` | `DEFAULT_STRATEGY` Default email behaviour
`static EmailStrategy` | `EMAIL_ERRORS_AND_FIRST_SUCCESSFULL_EMAIL_STRATEGY` This is the initialisation strategy, to check everything out before building
`static EmailStrategy` | `NEVER_EMAIL_STRATEGY` This forces the build build to be cleaned, extrected from the repository and rebuilt

Method Summary
`static EmailStrategy` | `getInstanceWithDropDownText(String dropDownText)` Get the `EmailStrategy` implementation that contains the given drop down text description.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ALWAYS_EMAIL_STRATEGY

    public static final EmailStrategy ALWAYS_EMAIL_STRATEGY

  Always email the build results

### EMAIL_ERRORS_AND_FIRST_SUCCESSFULL_EMAIL_STRATEGY

    public static final EmailStrategy EMAIL_ERRORS_AND_FIRST_SUCCESSFULL_EMAIL_STRATEGY

  This is the initialisation strategy, to check everything out before building

### NEVER_EMAIL_STRATEGY

    public static final EmailStrategy NEVER_EMAIL_STRATEGY

  This forces the build build to be cleaned, extrected from the repository and rebuilt

### DEFAULT_STRATEGY

    public static final EmailStrategy DEFAULT_STRATEGY

  Default email behaviour

Method Detail

### getInstanceWithDropDownText

    public static EmailStrategy getInstanceWithDropDownText(String dropDownText)

  Get the `EmailStrategy` implementation that contains the given drop down text description.

  Parameters:
    `dropDownText` - The strategies drop down text description
  Returns:
    The build strategy

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 Atlassian Software Systems. All Rights Reserved.